# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['truhanen', 'truhanen.windowlayouts']

package_data = \
{'': ['*']}

install_requires = \
['appdirs>=1.4.4,<2.0.0', 'dataclasses-json>=0.5.2,<0.6.0']

extras_require = \
{'pandas': ['pandas>=1.2.3,<2.0.0']}

entry_points = \
{'console_scripts': ['windowlayouts = truhanen.windowlayouts:main']}

setup_kwargs = {
    'name': 'truhanen.windowlayouts',
    'version': '0.2.3',
    'description': 'Utility for storing & restoring window layouts on the X Window System',
    'long_description': '[comment]: # (This README.md is autogenerated from templates/README.md with the\n              script templates/generate.py)\n\n# windowlayouts\n\nUtility for automatically storing & restoring window layouts for specific screen\nconfigurations on the X Window System.\n\n## Installation\n\nRun `pip install truhanen.windowlayouts` to install the script `windowlayouts`\nto be used from the command line.\n\n### Requirements\n\n- Python 3.7+ & pip\n- wmctrl command line tool\n\n### Install from source\n\nClone the repository & run `pip install .` in the project root directory.\n\n## Usage\n\n```\nusage: windowlayouts [-h] [--verbose] {store,restore,switch} ...\n\npositional arguments:\n  {store,restore,switch}\n    store               Store the current window layout for the current screen\n                        layout. Replace a previously stored window layout if\n                        such a window layout exists for the current screen\n                        layout.\n    restore             Restore a window layout if one with the current screen\n                        layout has previously been stored.\n    switch              Run store, then switch to a screen layout configured\n                        in ~/.config/windowlayouts/config.ini, and\n                        then run restore. Screen layout values in the\n                        configuration file must be valid input for xrandr that\n                        apply a specific screen layout. See\n                        examples/config.ini for example.\n\noptional arguments:\n  -h, --help            show this help message and exit\n  --verbose, -v         Increase verbosity.\n```\n',
    'author': 'Tuukka Ruhanen',
    'author_email': 'tuukka.t.ruhanen@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/truhanen/windowlayouts',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'entry_points': entry_points,
    'python_requires': '>=3.7.1,<4.0.0',
}


setup(**setup_kwargs)
